
Redmine - Feature #9992

Ability to filter issue subtasks in issue form

2012-01-13 09:37 - Luis Serrano Aranda

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

It would be interesting to see the filters in a task and its subtasks

Related issues:

Related to Redmine - Feature #6118: Filter by parent task or subtasks Closed 2010-08-12

Related to Redmine - Feature #5325: Add Parent Task to 'Group Results By' dro... New 2010-04-15

Has duplicate Redmine - Feature #12860: add filter to hide sub-tasks in ticke... Closed

Has duplicate Redmine - Feature #10927: Add a filter on the "Issues" page to ... Closed

Has duplicate Redmine - Feature #10553: Filter tasks by parent task ID Closed

History

#1 - 2012-01-13 09:46 - Etienne Massip

What filters?

#2 - 2012-01-13 10:12 - Luis Serrano Aranda

If I want look only a task with yours subtasks

#3 - 2012-01-13 11:11 - Etienne Massip

- Subject changed from New filter to Ability to filter issue subtasks in issue form

Is this OK to you?

#4 - 2012-01-13 11:26 - Etienne Massip

Or is it the ability to filter the issue list with a "Parent task" filter to get all subtasks of a specific issue?

#5 - 2012-01-13 12:44 - Luis Serrano Aranda

I wish I could see only one issue and all its subtasks

#6 - 2012-01-13 12:46 - Luis Serrano Aranda

I wish I could see only one request and all its subtasks

#7 - 2012-05-24 03:21 - Ewan Makepeace

Do you not see the subtasks summarised on the parent issue itself?

#8 - 2013-01-16 10:51 - Daniel Felix

- Target version set to Candidate for next major release

I added the duplicate relations to #10553, #10927 and #12860.

This seems to be realy interesting to the community.

What do you think about my idea at #12860?

This could be solved by adding some filter by parent task which provides: 1.filter by parent task id is equal to

2.filter by parent task id is not equal to

3.filter by parent task id is not null (has parent tasks)
4.filter by parent task id is null (no parent tasks)

What do you think about this?

#9 - 2013-01-16 12:12 - Luis Serrano Aranda

It's a good solution

#10 - 2013-01-16 12:20 - Jiří Křivánek

As you closed my issue as the duplicate of this one, I am copying my request inside - just to be completely sure...

And yes, if I understand your logic in post 8 hereby then your solution should work to me... thank you...

Jiří Křivánek wrote:

Request:

Add support for filtering tasks also by the parent task ID.

It should support

1. Any exact value (as entered).

2. Empty/not empty (i.e. only subtasks or only top level parent tasks).

3. Matching and NOT matching.

Motivation:

The management in my company where I established the Redmine is multi-level.

Higher level manager enters the overall task on the project, containing the list of feature requirements.

Lower level manager makes a specification and plans the works by creating a lot of sub-tasks for the above entered parent task.

The higher level manager needs the custom view of tasks on the project where only the top-level tasks are visible.

#11 - 2013-01-16 13:07 - Anonymous

I also think this might be a good solution (#12860) !

#12 - 2013-01-19 04:24 - Mischa The Evil

+1 for a filter proposed by Daniel Felix in note-8.

#13 - 2013-05-10 18:57 - Lorenz W.

Daniel Felix wrote:

4.filter by parent task id is null (no parent tasks)

 see also #12860

I consider this as very important. When I need an summary on what is still outstanding I dont want subtasks to flood the list.

#14 - 2013-05-10 19:02 - Lorenz W.

Lorenz W. hit the wrong button.

#15 - 2013-05-10 19:03 - Lorenz W.

Lorenz W. hit the wrong button again.

#16 - 2013-05-13 11:28 - Mikhail Sviridov

May be it will be better to fold/unfold tasks to allow user to expand only interesting tasks to access it's subtasks? If someone wants to see all the tasks

and it's subtasks visible in the issue list it can be done by setting a tick "Expand all". It can be the setting for each project or for each user or global.

Another way is to switch between list and hierarhical views of issues.

So the same operations will be different for these views:

sort

will sort all the issues in list view regardless of it is subtask or not

will sort on each level (1st level tasks are sorted first, then 2nd level tasks inside the group made by it's parent tasks)

filter

will filter from all the issues in list view

will filter from all the issues, but the result will be in form of:
filtered tasks (those are before A by sorting)

A

 -> filtered subtasks of A (those are before B by sorting)

 -> B (has it's ranges of each field collected from subtasks)

     -> filtered subtasks of the B

 -> filtered subtasks of A (those are after B by sorting)

filtered tasks (those are after A by sorting)

About list view

It is already implemented - so I don't need to do any comments here.

About hierarhical view

If it is very complex to implement and may be it is useless in most cases so you can perform operations (sort, filter) on the 1st level tasks only. To do

sorting or filtering of subtasks of some task you should go into the task and inside it's subtasks list perform suitable operations again. So task have to

have the same widget for subtask as issues page of the project or the issues list of the project have to have the title of the path "A -> B -> C" like wiki

pages have.

Feel free to question me if something is unclear (probably, my english is dirty).

#17 - 2014-01-15 12:38 - Florian Kaiser

Also +1 from me.

#18 - 2014-06-24 18:37 - Alfredo Mezquita

+1

#19 - 2014-09-26 13:05 - Ronny Kiessling

+1

#20 - 2014-11-13 08:44 - Vjacheslav Ryzhov

+1

#21 - 2015-01-03 04:57 - Toshi MARUYAMA

- Related to Feature #5325: Add Parent Task to 'Group Results By' drop down added

#22 - 2015-01-03 05:05 - Toshi MARUYAMA

- Related to deleted (Feature #10559: Add Parent Task to 'Group Results By' drop down )

#23 - 2021-08-18 21:37 - Alexander Ryabinovskiy

Do you have any news on this feature? Plugins maybe?
